# /homes/fmmarquesmadeira/Projects/jabaws/binaries/src/ViennaRNA/H/part_func.h File Reference

Partition function of single RNA sequences. More...

Include dependency graph for part_func.h:

Go to the source code of this file.

## Functions
float | pf_fold_par (const char *sequence, char *structure, pf_paramT *parameters, int calculate_bppm, int is_constrained, int is_circular)
| Compute the partition function for a given RNA sequence.
float | pf_fold (const char *sequence, char *structure)
| Compute the partition function of an RNA sequence.
float | pf_circ_fold (const char *sequence, char *structure)
| Compute the partition function of a circular RNA sequence.
char * | pbacktrack (char *sequence)
| Sample a secondary structure from the Boltzmann ensemble according its probability .
char * | pbacktrack_circ (char *sequence)
| Sample a secondary structure of a circular RNA from the Boltzmann ensemble according its probability.
void | free_pf_arrays (void)
| Free arrays for the partition function recursions.
void | update_pf_params (int length)
| Recalculate energy parameters.
void | update_pf_params_par (int length, pf_paramT *parameters)
| Recalculate energy parameters.
double * | export_bppm (void)
| Get a pointer to the base pair probability arrayAccessing the base pair probabilities for a pair (i,j) is achieved by.
void | assign_plist_from_pr (plist **pl, double *probs, int length, double cutoff)
| Create a plist from a probability matrix.
int | get_pf_arrays (short **S_p, short **S1_p, char **ptype_p, double **qb_p, double **qm_p, double **q1k_p, double **qln_p)
| Get the pointers to (almost) all relavant computation arrays used in partition function computation.
double | get_subseq_F (int i, int j)
| Get the free energy of a subsequence from the q[] array.
char * | get_centroid_struct_pl (int length, double *dist, plist *pl)
| Get the centroid structure of the ensemble.
char * | get_centroid_struct_pr (int length, double *dist, double *pr)
| Get the centroid structure of the ensemble.
double | mean_bp_distance (int length)
| Get the mean base pair distance of the last partition function computation.
double | mean_bp_distance_pr (int length, double *pr)
| Get the mean base pair distance in the thermodynamic ensemble.
void | bppm_to_structure (char *structure, double *pr, unsigned int length)
| Create a dot-bracket like structure string from base pair probability matrix.
char | bppm_symbol (const float *x)
| Get a pseudo dot bracket notation for a given probability information.
void | init_pf_fold (int length)
| Allocate space for pf_fold().
char * | centroid (int length, double *dist)
double | mean_bp_dist (int length)
double | expLoopEnergy (int u1, int u2, int type, int type2, short si1, short sj1, short sp1, short sq1)
double | expHairpinEnergy (int u, int type, short si1, short sj1, const char *string)
## Variables
int | st_back
| Flag indicating that auxilary arrays are needed throughout the computations. This is essential for stochastic backtracking.

## Detailed Description

Partition function of single RNA sequences.

This file includes (almost) all function declarations within the RNAlib that are related to Partion function folding...

## Function Documentation

void init_pf_fold | ( | int | length | ) |

Allocate space for pf_fold().

Deprecated:
  This function is obsolete and will be removed soon!

char* centroid | ( | int | length,
|  | double * | dist |
| ) |  |  |

Deprecated:
  This function is deprecated and should not be used anymore as it is not threadsafe!

See also:
  get_centroid_struct_pl(), get_centroid_struct_pr()

double mean_bp_dist | ( | int | length | ) |

get the mean pair distance of ensemble

Deprecated:
  This function is not threadsafe and should not be used anymore. Use mean_bp_distance() instead!

double expLoopEnergy | ( | int | u1,
|  | int | u2,
|  | int | type,
|  | int | type2,
|  | short | si1,
|  | short | sj1,
|  | short | sp1,
|  | short | sq1 |
| ) |  |  |

Deprecated:
  Use exp_E_IntLoop() from loop_energies.h instead

double expHairpinEnergy | ( | int | u,
|  | int | type,
|  | short | si1,
|  | short | sj1,
|  | const char * | string |
| ) |  |  |

Deprecated:
  Use exp_E_Hairpin() from loop_energies.h instead